1. Watch
Affiliate.com API Documentation
  • Affiliate.com API Endpoints
    • Account
      • Get User Team Account Information
    • Network Groups
      • List All Network Groups
    • Networks
      • List All Networks
      • Get Single Specific Network
    • Merchants
      • List All Merchants
      • Get Single Specific Merchant Name
      • Get a Single Specific Merchant ID
    • Products
      • Search Products
    • Omni
      • Omni
    • Conversion
      • URL to Barcode
      • Barcode to SKU
      • ASIN to Barcode
      • SKU to Barcode
      • Barcode to ASIN
    • Watch
      • Set Product Watch
        POST
      • Get All Product Watches
        GET
      • Get Specific Product Watch
        GET
      • Get Specific Product Watch from Metadata
        GET
      • Edit Product Watch
        PUT
      • Delete Product Watch
        DELETE
      • Get Single Product Watch Notification History
        GET
      • Get Product Watch Notification History via Metadata
        GET
    • Product List
      • Create Product List
      • Get Product Lists
      • Get Single List
      • Get List By Metadata
      • Add Products to a List
      • Remove Products from a List
      • Delete Product List
  1. Watch

Set Product Watch

Testing
POST
/v1/products/watches

Request

Header Params

Body Params application/json

Example
{
    "name": "Nike Shoe Price Drop Watch",
    "target_ids": [
        "8099982740095203709",
        "8099987467386791069"
    ],
    "status": "active",
    "target_type": "product",
    "rules": [
        {
            "field": "final_price",
            "condition": "decrease",
            "threshold": {
                "type": "percentage",
                "value": 10
            }
        },
        {
            "field": "on_sale",
            "condition": "equals",
            "threshold": {
                "type": "value",
                "value": true
            }
        }
    ],
    "notifications": [
        {
            "channel": "webhook",
            "target": "https://mywebook/api/webhook"
        }
    ],
    "filters": [],
    "metadata": {
        "key1": "value1",
        "key16": "value16"
    },
    "expire_timestamp": 1774751812
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/v1/products/watches' \
--header 'Authorization: Bearer {{token}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "name": "Nike Shoe Price Drop Watch",
    "target_ids": [
        "8099982740095203709",
        "8099987467386791069"
    ],
    "status": "active",
    "target_type": "product",
    "rules": [
        {
            "field": "final_price",
            "condition": "decrease",
            "threshold": {
                "type": "percentage",
                "value": 10
            }
        },
        {
            "field": "on_sale",
            "condition": "equals",
            "threshold": {
                "type": "value",
                "value": true
            }
        }
    ],
    "notifications": [
        {
            "channel": "webhook",
            "target": "https://mywebook/api/webhook"
        }
    ],
    "filters": [],
    "metadata": {
        "key1": "value1",
        "key16": "value16"
    },
    "expire_timestamp": 1774751812
}'

Responses

🟢200OK
application/json
Body

Example
{
    "meta": {
        "total": 2,
        "from": 1,
        "to": 2,
        "current_page": 1,
        "last_page": 1,
        "per_page": 100,
        "fields": [],
        "trace_id": "0195cedc-b193-7096-8df4-e7104abf799d"
    },
    "data": [
        {
            "watch_id": "9e84ce37-63be-41cf-87ef-72465fb8ead2",
            "name": " Testing Watch 01",
            "target_type": "product"
            "target_id": "1301920351976391947",
            "status": "active",
            "metadata": {
                "key1": "value1",
                "key16": "value16"
            },
            "rules": [
                {
                    "field": "final_price",
                    "start_value": 9840,
                    "condition": "changed",
                    "threshold": {
                        "type": null,
                        "value": null
                    }
                }
            ],
            "notifications": [
                {
                    "channel": "webhook",
                    "channel_target": "https://webhookhere.com",
                    "frequency": "immediately",
                    "enabled": true
                }
            ]
        },
        {
            "watch_id": "9e84ce38-336e-4923-aa55-d23630684e04",
            "name": "Testing Watch 01",
            "target_id": "1062900034486247121",
            "status": "active",
            "metadata": {
                "key1": "value1",
                "key16": "value16"
            },
            "rules": [
                {
                    "field": "final_price",
                    "start_value": 8000,
                    "condition": "changed",
                    "threshold": {
                        "type": null,
                        "value": null
                    }
                }
            ],
            "notifications": [
                {
                    "channel": "webhook",
                    "channel_target": "https://webhookhere.com",
                    "frequency": "immediately",
                    "enabled": true
                }
            ],
            "filters": [],
            "expire_timestamp": 1774751812
        }
    ]
}
🟠429Rate Limit Exceeded
🟠401Unauthenticated
Modified at 2025-12-31 14:48:25
Previous
Watch
Next
Get All Product Watches